clang 8.0.0

Public Member Functions | List of all members
clang::tooling::AllTUsToolExecutorPlugin Class Reference
Inheritance diagram for clang::tooling::AllTUsToolExecutorPlugin:
[legend]
Collaboration diagram for clang::tooling::AllTUsToolExecutorPlugin:
[legend]

## Public Member Functions
llvm::Expected< std::unique_ptr< ToolExecutor > > | create (CommonOptionsParser &OptionsParser) override
| Create an `ToolExecutor`. More...
Public Member Functions inherited from clang::tooling::ToolExecutorPlugin
virtual | ~ToolExecutorPlugin ()

## Detailed Description

Definition at line 165 of file AllTUsExecution.cpp.

## Member Function Documentation

## ◆ create()

llvm::Expected<std::unique_ptr<ToolExecutor> > clang::tooling::AllTUsToolExecutorPlugin::create | ( | CommonOptionsParser & | OptionsParser | ) |
| inline override virtual

Create an `ToolExecutor`.

`OptionsParser` can be consumed (e.g. moved) if the creation succeeds.

Implements clang::tooling::ToolExecutorPlugin.

Definition at line 168 of file AllTUsExecution.cpp.

References clang::tooling::ExecutorConcurrency(), clang::tooling::CommonOptionsParser::getSourcePathList(), clang::tooling::make_string_error(), and clang::tooling::X().

The documentation for this class was generated from the following file:

- lib/Tooling/AllTUsExecution.cpp